> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/benefit-applicants.md).

# Benefit Applicants

## Retrieve Benefit Applicant

> Retrieve a specific benefit applicant by its ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"BenefitApplicant":{"type":"object","description":"Represents a benefit applicant in the system","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"The unique identifier for the benefit applicant","readOnly":true},"discount_item":{"type":"integer","description":"The ID of the discount item associated with this benefit applicant"},"order_item":{"type":"integer","description":"The ID of the order item associated with this benefit applicant"},"discount_share":{"type":"number","format":"decimal","description":"The share amount of the discount","minimum":0}},"required":["discount_item","order_item","discount_share"]},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/benefit_applicants/{id}/":{"get":{"tags":["Benefit Applicants"],"summary":"Retrieve Benefit Applicant","description":"Retrieve a specific benefit applicant by its ID.","parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Benefit applicant retrieved successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitApplicant"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List Benefit Applicants

> Retrieve a paginated list of benefit applicants.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}},"discount_share__gt":{"name":"discount_share__gt","required":false,"in":"query","schema":{"type":"number","format":"decimal"},"description":"Filter by discount share greater than this value."},"discount_share__lt":{"name":"discount_share__lt","required":false,"in":"query","schema":{"type":"number","format":"decimal"},"description":"Filter by discount share less than this value."},"discount_share__gte":{"name":"discount_share__gte","required":false,"in":"query","schema":{"type":"number","format":"decimal"},"description":"Filter by discount share greater than or equal to this value."},"discount_share__lte":{"name":"discount_share__lte","required":false,"in":"query","schema":{"type":"number","format":"decimal"},"description":"Filter by discount share less than or equal to this value."},"order_item__in":{"name":"order_item__in","required":false,"in":"query","schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false,"description":"Comma-separated list of order item IDs to filter by."},"discount_item":{"name":"discount_item","in":"query","description":"Filter by discount item ID","schema":{"type":"integer"}},"order_item":{"name":"order_item","in":"query","description":"Filter by order item ID.","required":false,"schema":{"type":"integer"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}}},"schemas":{"BenefitApplicant":{"type":"object","description":"Represents a benefit applicant in the system","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"The unique identifier for the benefit applicant","readOnly":true},"discount_item":{"type":"integer","description":"The ID of the discount item associated with this benefit applicant"},"order_item":{"type":"integer","description":"The ID of the order item associated with this benefit applicant"},"discount_share":{"type":"number","format":"decimal","description":"The share amount of the discount","minimum":0}},"required":["discount_item","order_item","discount_share"]},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/benefit_applicants/":{"get":{"tags":["Benefit Applicants"],"summary":"List Benefit Applicants","description":"Retrieve a paginated list of benefit applicants.","parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"},{"$ref":"#/components/parameters/discount_share__gt"},{"$ref":"#/components/parameters/discount_share__lt"},{"$ref":"#/components/parameters/discount_share__gte"},{"$ref":"#/components/parameters/discount_share__lte"},{"$ref":"#/components/parameters/order_item__in"},{"$ref":"#/components/parameters/discount_item"},{"$ref":"#/components/parameters/order_item"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"}],"responses":{"200":{"description":"A list of benefit applicants.","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of benefit applicants."},"next":{"type":"string","format":"uri","nullable":true,"description":"URL to the next page of results."},"previous":{"type":"string","format":"uri","nullable":true,"description":"URL to the previous page of results."},"results":{"type":"array","items":{"$ref":"#/components/schemas/BenefitApplicant"}}}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/benefit-applicants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
